%define		kdeframever	5.89
%define		qtver		5.9.0
%define		kfname		kcmutils

Summary:	Utilities for KDE System Settings modules
Name:		kf5-%{kfname}
Version:	5.89.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	ef35550c2799d531fce7c7735a521d08
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kdeclarative-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KCMUtils provides various classes to work with KCModules. KCModules
can be created with the KConfigWidgets framework.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf5-kconfigwidgets-devel >= %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5KCMUtils.so.5
%attr(755,root,root) %{_libdir}/libKF5KCMUtils.so.*.*
%{_datadir}/kservicetypes5/kcmodule.desktop
%{_datadir}/kservicetypes5/kcmoduleinit.desktop
%{_datadir}/qlogging-categories5/kcmutils.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KCMUtils
%{_includedir}/KF5/kcmutils_version.h
%{_libdir}/cmake/KF5KCMUtils
%{_libdir}/libKF5KCMUtils.so
%{qt5dir}/mkspecs/modules/qt_KCMUtils.pri
%changelog
* Wed Dec 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kcmutils.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f9b2a3b
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4630b1d
- updated to 5.88.0

* Tue Oct 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8bd9499
- relup

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0c2a020
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6f38c9e
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 047c3d6
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c43988c
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 497c61b
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d284eb5
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fc619ad
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4a12438
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f377825
- update to 5.79.0

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 32e9e2d
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 0fbb724
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 98e1272
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 52a82c7
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> fb6bc46
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3f00e30
- updated to 5.53.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 17d4275
- updated to 5.45.0

* Sat Mar 24 2018 Jan Rękorajski <baggins@pld-linux.org> 5bb058f
- devel requires kf5-kconfigwidgets-devel
- rel 2

